{% extends 'base.html' %}

{% block content %}

    <div class="container">
        <div class="mx-auto">
            <h1>Information about this room :</h1>
            <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                <li class="nav-item" role="presentation">
                    <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill" data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home" aria-selected="true">General</button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link" id="pills-booking-tab" data-bs-toggle="pill" data-bs-target="#pills-booking" type="button" role="tab" aria-controls="pills-booking" aria-selected="false">Bookings</button>
                </li>
            </ul>
            <div class="tab-content" id="pills-tabContent">
                <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td>Name</td>
                            <td>{{ room["key"]["name"] }}</td>
                        </tr>
                        <tr>
                            <td>Size</td>
                            <td>{{ room["size"] }}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="tab-pane fade" id="pills-booking" role="tabpanel" aria-labelledby="pills-booking-tab">
                    <ul class="list-group">
                            <div class="container">
                                <li class="list-group-item list-group-item-dark">
                                    <div class="row">
                                        <div class="col col-lg-5">
                                            Start date
                                        </div>
                                        <div class="col col-lg-6">
                                            End date
                                        </div>
                                    </div>
                                </li>
                                {% for booking in bookings %}
                                    <li class="list-group-item list-group-item-{{ "success" if booking["key"]["id"] == edit_booking.booking_id.data else "secondary" }}">
                                        <div class="row">
                                            <div class="col col-lg-5">
                                                {{ booking["date_start"] }}
                                            </div>
                                            <div class="col col-lg-5">
                                                {{ booking["date_end"] }}
                                            </div>
                                        </div>
                                    </li>
                                {% endfor %}
                            </div>
                    </ul>
                </div>
            </div>

            <div class="row justify-content-md-center addbooking">
                <div class="col">
                    <h1>Edit my Booking :</h1>
                    <form action="post_edit_booking" method="post" id="form-editbooking">
                        <div class="form-group">
                            {{ render_field(edit_booking.date_start, type="datetime-local") }}
                            {{ render_field(edit_booking.date_end, type="datetime-local") }}
                            {{ edit_booking.room(hidden=True) }}
                            {{ edit_booking.booking_id(hidden=True) }}
                            {{ edit_booking.csrf_token }}
                        </div>
                        <input type="submit" class="btn btn-primary" value="Edit the booking">
                    </form>
                </div>
            </div>
        </div>

{% endblock %}